Declare a token with no associativity

- « Parle\Parser::left

- Parle\Parser::precedence »

- PHP Manual
- Parle\Parser
- Declare a token with no associativity

# Parle\Parser::nonassoc

(PECL parle >= 0.5.1)

Parle\Parser::nonassoc — Declare a token with no associativity

### Description

public Parle\Parser::nonassoc(string `$tok`): void

Declare a terminal, that cannot appear more than once in the row.

### Parameters

`tok`

  Token name.

### Return Values

No value is returned.